#!/bin/sh

if test -f /var/run/reboot-required ; then
    VAL=1
else
    VAL=0
fi

CRRF={{ node_exporter_textfile_dir | quote }}/check_reboot_required.prom
CRRM=node_reboot_required
cat <<EOF  > "$CRRF.$$"
#TYPE $CRRM gauge
$CRRM $VAL
EOF
mv "$CRRF.$$" "$CRRF"
